package meerkat.voting;

import meerkat.protobuf.Voting.*;

/**
 * Created by hai on 15/02/16.
 */
public interface BallotOutputDevice {

    void commitToBallot(long sessionId, EncryptedBallot encryptedBallot, VotingBooth.Callback callback);

    void audit(long sessionId, EncryptedBallot encryptedBallot, BallotSecrets ballotSecrets, VotingBooth.Callback callback);

    void castBallot(long sessionId, VotingBooth.Callback callback);

    // probably has no difference than cast. Maybe drop this method
    void cancelBallot(long sessionId, VotingBooth.Callback callback);

}
