package meerkat.voting;

import meerkat.protobuf.Voting.*;

/**
 * Created by hai on 23/02/16.
 */
public interface UI {


    // Voter scenario methods
    void introductionToVoter (long sessionId);

    void chooseChannel (long sessionId, BallotQuestion question);

    void askVoterQuestion (long sessionId, int questionNumber, BallotQuestion question);

    void castOrAudit (long sessionId);

    void showWaitForFinishScreen (long sessionId);


    // Admin scenario methods
    //TODO: the admin scenario still needs some more thinking



    // bad thing happened scenario
    void showErrorMessageAndHalt (String errorMessage);
    void showErrorMessageWithCancelButton (long sessionId, String errorMessage);

}
